troubles to install 64 bits libraries for compile the latest otclient source files with msvc 2017 /vcpkg / git

Felipe93

Ghost Member
Joined
Mar 21, 2015
Messages
1,204
Reaction score
154
Location
Chile
Hello otlanders

when the lib openssl-windows:x64-windows
was being installed i got error an error in the windows powershell console. It was the lib number 77 78 or 79 of 86 libs can't remember, so i was almost done with the installation.

Code:
Error: Building package openssl-windows:x64-windows failed with: BUILD_FAILED
Please ensure you're using the latest portfiles with .\vcpkg update, then
submit an issue at https://github.com/Microsoft/vcpkg/issues including:
  Package: openssl-windows:x64-windows
  Vcpkg version: 2018.11.23-nohash
after that i tried to use .\vcpkg update command so i got this warning Using local portfile versions. To update the local portfiles, use git pull. that means that i will download the latest vcpkg repository ... so there's no need of it

OBS : i installed everything today so it should be updated right?.

anyone have have a solution for this?
 
OP
Felipe93

Felipe93

Ghost Member
Joined
Mar 21, 2015
Messages
1,204
Reaction score
154
Location
Chile
nvm. issue solved i had to install the lib that was giving error by
separately and the install the other missing libs

hopefully this would help someone in nearly future
 

Mustafa1337

Î Àm ŁĕğẹňĎ
Joined
Mar 4, 2017
Messages
105
Reaction score
20
Location
Egypt
I have same problem, Can't solve it because I don't think I get any lib error, how can I know?
 
OP
Felipe93

Felipe93

Ghost Member
Joined
Mar 21, 2015
Messages
1,204
Reaction score
154
Location
Chile
instal the lib that is giving you error separately then just install the other libs as usually anybody would does
 
Top